"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaEnumValue = void 0;
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
var SchemaEnumValue = /** @class */ (function () {
    function SchemaEnumValue(sourceObj) {
        this._original = sourceObj;
        if (typeof sourceObj === "string") {
            this._value = sourceObj.toString();
        }
        else {
            if (!sourceObj.value) {
                throw new Error("Value on enum wasn't specified");
            }
            this._value = sourceObj.value;
            this._description = sourceObj.description;
        }
    }
    Object.defineProperty(SchemaEnumValue.prototype, "value", {
        get: function () {
            return this._value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaEnumValue.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaEnumValue.prototype, "original", {
        get: function () {
            return this._original;
        },
        enumerable: false,
        configurable: true
    });
    return SchemaEnumValue;
}());
exports.SchemaEnumValue = SchemaEnumValue;
//# sourceMappingURL=SchemaEnumValue.js.map